- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Member Functions | List of all members
AL::urdf::RobotTree Class Reference

`#include <urdf.h>`

## Classes
class | JointConstVisitor
class | JointVisitor

## Public Member Functions
| RobotTree (ptree &robot)
| ~RobotTree ()
| RobotTree (RobotTree const &)=delete
void | operator= (RobotTree const &other)=delete
const ptree & | link (const std::string &name) const
ptree & | link (const std::string &name)
const ptree & | joint (const std::string &name) const
ptree & | joint (const std::string &name)
const std::string & | root_link () const
void | rm_root_joint ()
void | rm_leaf_joint (const std::string &name)
void | transport_root_link_frame (const Pose &pose)
void | define_as_root_link (const std::string &name)
void | traverse_joints (JointConstVisitor &visitor) const
void | traverse_joints (JointVisitor &visitor)
bool | is_mimic_tree_flat () const

## Detailed Description

Definition at line 125 of file urdf.h.

## Constructor & Destructor Documentation

AL::urdf::RobotTree::RobotTree | ( | ptree & | robot | ) |

AL::urdf::RobotTree::~RobotTree | ( |  | ) |

AL::urdf::RobotTree::RobotTree | ( | RobotTree const & |  | ) |
| delete

## Member Function Documentation

void AL::urdf::RobotTree::define_as_root_link | ( | const std::string & | name | ) |

bool AL::urdf::RobotTree::is_mimic_tree_flat | ( |  | ) | const

const ptree& AL::urdf::RobotTree::joint | ( | const std::string & | name | ) | const

ptree& AL::urdf::RobotTree::joint | ( | const std::string & | name | ) |

const ptree& AL::urdf::RobotTree::link | ( | const std::string & | name | ) | const

ptree& AL::urdf::RobotTree::link | ( | const std::string & | name | ) |

void AL::urdf::RobotTree::operator= | ( | RobotTree const & | other | ) |
| delete

void AL::urdf::RobotTree::rm_leaf_joint | ( | const std::string & | name | ) |

void AL::urdf::RobotTree::rm_root_joint | ( |  | ) |

const std::string& AL::urdf::RobotTree::root_link | ( |  | ) | const

void AL::urdf::RobotTree::transport_root_link_frame | ( | const Pose & | pose | ) |

void AL::urdf::RobotTree::traverse_joints | ( | JointConstVisitor & | visitor | ) | const

void AL::urdf::RobotTree::traverse_joints | ( | JointVisitor & | visitor | ) |

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/urdf.h